Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/include/Core_Glue.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/include/Core_Glue.h	(revision 111)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/include/Core_Glue.h	(revision 117)
@@ -204,5 +204,6 @@
 
     // ~~~~~[ Component ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~    
-  private   : generic::priority::Priority  ** _priority_ooo_engine;                         //[nb_execute_loop]
+//private   : generic::priority::Priority  ** _priority_ooo_engine;                         //[nb_execute_loop]
+  private   : generic::priority::Priority   * _priority_ooo_engine;
   private   : generic::priority::Priority  ** _priority_read_unit ;                         //[nb_execute_loop]
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/include/Parameters.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/include/Parameters.h	(revision 111)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/include/Parameters.h	(revision 117)
@@ -18,5 +18,4 @@
 namespace core_glue {
 
-
   class Parameters : public morpheo::behavioural::Parameters
   {
@@ -33,6 +32,9 @@
   public : uint32_t              * _ooo_engine_nb_inst_branch_complete   ;//[nb_ooo_engine]
   public : uint32_t              * _nb_inst_insert                       ;//[nb_ooo_engine]
-  public : uint32_t              * _nb_inst_issue                        ;//[nb_ooo_engine]
+  public : uint32_t              * _nb_inst_reexecute                    ;//[nb_ooo_engine]
+  public : uint32_t              * _nb_inst_issue_queue                  ;//[nb_ooo_engine]
+  public : uint32_t              * _nb_inst_issue_slot                   ;//[nb_ooo_engine]
   public : uint32_t             ** _nb_inst_execute                      ;//[nb_ooo_engine][ooo_engine_nb_execute_loop]
+  public : bool                  * _issue_queue_in_order                 ;//[nb_ooo_engine]
   public : uint32_t              * _nb_read_unit                         ;//[nb_execute_loop]
   public : uint32_t              * _nb_write_unit                        ;//[nb_execute_loop]
@@ -50,5 +52,6 @@
   public : Tpriority_t             _dispatch_priority                    ;
   public : Tload_balancing_t       _dispatch_load_balancing              ;
-  public : bool               **** _table_dispatch                       ;//[nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit]
+  public : bool               **** _table_dispatch                       ;//[nb_ooo_engine][nb_inst_issue_slot][execute_loop][nb_read_unit]
+  public : bool                *** _table_issue_type                     ;//                                   [execute_loop][nb_read_unit][nb_type]
   public : uint32_t             ** _translate_ooo_engine_num_front_end   ;//[nb_ooo_engine][ooo_engine_nb_front_end]
   public : uint32_t             ** _translate_ooo_engine_num_execute_loop;//[nb_ooo_engine][ooo_engine_nb_execute_loop]
@@ -61,5 +64,5 @@
 
   public : uint32_t             ** _execute_loop_nb_inst_insert                             ;//[nb_execute_loop][execute_loop_nb_ooo_engine]
-  public : uint32_t             ** _execute_loop_nb_inst_issue                              ;//[nb_execute_loop][execute_loop_nb_ooo_engine]
+  public : uint32_t             ** _execute_loop_nb_inst_issue_slot                         ;//[nb_execute_loop][execute_loop_nb_ooo_engine]
 //public : uint32_t              * _link_execute_loop_with_ooo_engine                       ;//[nb_ooo_engine]
 
@@ -70,5 +73,6 @@
   public : uint32_t                _max_nb_write_unit                     ;
   public : uint32_t                _max_nb_inst_insert                    ;
-  public : uint32_t                _max_nb_inst_issue                     ;
+  public : uint32_t                _max_nb_inst_issue_queue               ;
+  public : uint32_t                _max_nb_inst_issue_slot                ;
   public : uint32_t                _max_nb_read_unit                      ;
 
@@ -86,6 +90,9 @@
    uint32_t              * ooo_engine_nb_inst_branch_complete   ,//[nb_ooo_engine]
    uint32_t              * nb_inst_insert                       ,//[nb_ooo_engine]
-   uint32_t              * nb_inst_issue                        ,//[nb_ooo_engine]
+   uint32_t              * nb_inst_reexecute                    ,//[nb_ooo_engine]
+   uint32_t              * nb_inst_issue_queue                  ,//[nb_ooo_engine]
+   uint32_t              * nb_inst_issue_slot                   ,//[nb_ooo_engine]
    uint32_t             ** nb_inst_execute                      ,//[nb_ooo_engine][ooo_engine_nb_execute_loop]
+   bool                  * issue_queue_in_order                 ,//[nb_ooo_engine]
    uint32_t              * nb_read_unit                         ,//[nb_execute_loop]
    uint32_t              * nb_write_unit                        ,//[nb_execute_loop]
@@ -100,5 +107,7 @@
    Tpriority_t             dispatch_priority                    ,
    Tload_balancing_t       dispatch_load_balancing              ,
-   bool               **** table_dispatch                       ,//[nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit]
+   bool               **** table_dispatch                       ,//[nb_ooo_engine][nb_inst_issue_slot][execute_loop][nb_read_unit]
+   bool                *** table_issue_type                     ,//                                   [execute_loop][nb_read_unit][nb_type]
+// bool                *** table_issue_thread                   ,//                                   [execute_loop][nb_read_unit][nb_thread]
    uint32_t             ** translate_ooo_engine_num_front_end   ,//[nb_ooo_engine][ooo_engine_nb_front_end]
    uint32_t             ** translate_ooo_engine_num_execute_loop,//[nb_ooo_engine][ooo_engine_nb_execute_loop]
